@echo off
if "%PROCESSOR_ARCHITECTURE%"=="x86" goto x86
if "%PROCESSOR_ARCHITECTURE%"=="AMD64" goto x64
exit
:x64
pnputil -i -a %~dp0\DM100\x64\AutomotiveDiagnosticDevice.inf
pnputil -i -a %~dp0\DM300\x64\AutomotiveDiagnosticDevice.inf
pnputil -i -a %~dp0\DM100HC\x64\AutomotiveDiagnosticDevice.inf
cls
echo Install Successfully!
pause
exit
:x86
pnputil -i -a %~dp0\DM100\x86\AutomotiveDiagnosticDevice.inf
pnputil -i -a %~dp0\DM300\x86\AutomotiveDiagnosticDevice.inf
pnputil -i -a %~dp0\DM100HC\x86\AutomotiveDiagnosticDevice.inf
cls
echo Install Successfully!
pause
exit
pause